TLM-2.0: tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL > Class Template Reference

# tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL > Class Template Reference

`#include <tlm_initiator_socket.h>`

Inheritance diagram for tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >:

[legend]
Collaboration diagram for tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >:

[legend]

List of all members.

## Public Types
typedef FW_IF | fw_interface_type
typedef BW_IF | bw_interface_type
typedef sc_core::sc_port < fw_interface_type, N, POL > | port_type
typedef sc_core::sc_export < bw_interface_type > | export_type
typedef tlm_base_target_socket_b < BUSWIDTH, fw_interface_type, bw_interface_type > | base_target_socket_type
typedef tlm_base_initiator_socket_b < BUSWIDTH, fw_interface_type, bw_interface_type > | base_type
## Public Member Functions
| tlm_base_initiator_socket ()
| tlm_base_initiator_socket (const char *name)
virtual const char * | kind () const
unsigned int | get_bus_width () const
void | bind (base_target_socket_type &s)
void | operator() (base_target_socket_type &s)
void | bind (base_type &s)
void | operator() (base_type &s)
void | bind (bw_interface_type &ifs)
void | operator() (bw_interface_type &s)
virtual sc_core::sc_port_b < FW_IF > & | get_base_port ()
virtual BW_IF & | get_base_interface ()
virtual sc_core::sc_export < BW_IF > & | get_base_export ()
## Protected Attributes
export_type | m_export
## Friends
class | tlm_base_target_socket

## Detailed Description

### template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>
class tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >

Definition at line 62 of file tlm_initiator_socket.h.

## Member Typedef Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef tlm_base_target_socket_b<BUSWIDTH, fw_interface_type, bw_interface_type> tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::base_target_socket_type

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 83 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef tlm_base_initiator_socket_b<BUSWIDTH, fw_interface_type, bw_interface_type> tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::base_type

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >, tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >, tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >, tlm_utils::simple_initiator_socket_tagged< MODULE, BUSWIDTH, TYPES >, and tlm_utils::multi_init_base< BUSWIDTH, TYPES, N,POL >.

Definition at line 86 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef BW_IF tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bw_interface_type

Reimplemented in tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >, and tlm_utils::simple_initiator_socket_tagged< MODULE, BUSWIDTH, TYPES >.

Definition at line 72 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef sc_core::sc_export<bw_interface_type> tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::export_type

Definition at line 79 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef FW_IF tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::fw_interface_type

Reimplemented in tlm_utils::simple_initiator_socket< MODULE, BUSWIDTH, TYPES >, and tlm_utils::simple_initiator_socket_tagged< MODULE, BUSWIDTH, TYPES >.

Definition at line 71 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef sc_core::sc_port<fw_interface_type, N , POL > tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::port_type

Definition at line 77 of file tlm_initiator_socket.h.

## Constructor & Destructor Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::tlm_base_initiator_socket | ( |  | ) | `[inline]`

Definition at line 96 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::tlm_base_initiator_socket | ( | const char * | name | ) | `[inline, explicit]`

Definition at line 102 of file tlm_initiator_socket.h.

## Member Function Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bind | ( | bw_interface_type & | ifs | ) | `[inline]`

Definition at line 159 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bind | ( | base_type & | s | ) | `[inline]`

Definition at line 142 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::bind | ( | base_target_socket_type & | s | ) | `[inline]`

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 125 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual sc_core::sc_export<BW_IF>& tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_base_export | ( |  | ) | `[inline, virtual]`

Implements tlm::tlm_base_initiator_socket_b< BUSWIDTH, FW_IF, BW_IF >.

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 172 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual BW_IF& tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_base_interface | ( |  | ) | `[inline, virtual]`

Implements tlm::tlm_base_initiator_socket_b< BUSWIDTH, FW_IF, BW_IF >.

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 171 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual sc_core::sc_port_b<FW_IF>& tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_base_port | ( |  | ) | `[inline, virtual]`

Implements tlm::tlm_base_initiator_socket_b< BUSWIDTH, FW_IF, BW_IF >.

Definition at line 170 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

unsigned int tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::get_bus_width | ( |  | ) | const`[inline]`

Definition at line 113 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual const char* tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::kind | ( |  | ) | const`[inline, virtual]`

Reimplemented in tlm::tlm_initiator_socket< BUSWIDTH, TYPES, N, POL >, tlm::tlm_initiator_socket< BUSWIDTH, TYPES >, and tlm::tlm_initiator_socket< BUSWIDTH, TYPES, N,POL >.

Definition at line 108 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator() | ( | bw_interface_type & | s | ) | `[inline]`

Definition at line 164 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator() | ( | base_type & | s | ) | `[inline]`

Definition at line 150 of file tlm_initiator_socket.h.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

void tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::operator() | ( | base_target_socket_type & | s | ) | `[inline]`

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 133 of file tlm_initiator_socket.h.

## Friends And Related Function Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

friend class tlm_base_target_socket`[friend]`

Definition at line 93 of file tlm_initiator_socket.h.

## Member Data Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

export_type tlm::tlm_base_initiator_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >::m_export`[protected]`

Definition at line 175 of file tlm_initiator_socket.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_sockets/tlm_initiator_socket.h